// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import axios from 'axios'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import myChart from "echarts";
import Avue from '@smallwei/avue';
import store from './store'
import {GetUrlParam} from '@/utils/index.js'
import Cookies from 'js-cookie'
import './permission'
import './assets/icons'
import '@/utils/request.js';
// import '@smallwei/avue/lib/index.css';
// import './assets/icons/index'

GetUrlParam('token') && Cookies.set('Admin-Token', GetUrlParam('token'));
GetUrlParam('token') &&  store.commit('SET_TOKEN', GetUrlParam('token'))

Vue.prototype.$ajax = axios
Vue.use(Avue);
Vue.prototype.$echarts = myChart;
Vue.config.productionTip = false
Vue.use(ElementUI)
Vue.use(myChart)

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app")